package it.integry.barcode_base_android_library.interfaces;


import it.integry.barcode_base_android_library.extension.RunnableArgs;
import it.integry.barcode_base_android_library.exception.BarcodeAdapterNotFoundException;
import it.integry.barcode_base_android_library.model.BarcodeScanDTO;

public interface BarcodeReaderInterface {

    boolean isRightAdapter();

    void init(Runnable onDeviceReady) throws BarcodeAdapterNotFoundException;

    void deinit();

    void register(RunnableArgs<BarcodeScanDTO> onScanSuccessfull, RunnableArgs<Exception> onScanFailed);

    String getAdapterName();

    //void onKeyEvent(KeyEvent keyEvent);

}
